This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026310 - [abrt] evolution-3.10.1-1.fc20: WebCore::Style::determineChange: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.10.1-1.fc20: WebCore::Style::determineChange: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d58a3173607fec08c78dfa945d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 06:55 EST by flashl
Modified: 2015-06-29 08:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.21 KB, text/plain)
2013-11-04 06:55 EST, flashl
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: core_backtrace (66.42 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: dso_list (26.91 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: environ (1.26 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: maps (130.58 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: open_fds (1.95 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details
File: var_log_messages (2.82 KB, text/plain)
2013-11-04 06:56 EST, flashl
no flags Details

  None (edit)
Description flashl 2013-11-04 06:55:50 EST
Description of problem:
updated kernel-3.11.6-302.fc20.x86_64

Version-Release number of selected component:
evolution-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: WebCore::Style::determineChange
executable:     /usr/bin/evolution
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::Style::determineChange at Source/WebCore/style/StyleResolveTree.cpp:61
 #1 WebCore::Style::resolveTree at Source/WebCore/style/StyleResolveTree.cpp:474
 #2 WebCore::Document::recalcStyle at Source/WebCore/dom/Document.cpp:1777
 #3 WebCore::Document::styleResolverChanged at Source/WebCore/dom/Document.cpp:3193
 #4 WebCore::Document::didRemoveAllPendingStylesheet at Source/WebCore/dom/Document.cpp:2795
 #5 WebCore::DocumentStyleSheetCollection::removePendingSheet at Source/WebCore/dom/DocumentStyleSheetCollection.cpp:232
 #6 WebCore::InlineStyleSheetOwner::sheetLoaded at Source/WebCore/dom/InlineStyleSheetOwner.cpp:179
 #7 WebCore::StyleSheetContents::checkLoaded at Source/WebCore/css/StyleSheetContents.cpp:361
 #8 WebCore::InlineStyleSheetOwner::createSheet at Source/WebCore/dom/InlineStyleSheetOwner.cpp:163
 #9 WebCore::InlineStyleSheetOwner::createSheetFromTextContents at Source/WebCore/dom/InlineStyleSheetOwner.cpp:107
Comment 1 flashl 2013-11-04 06:55:56 EST
Created attachment 819106 [details]
File: backtrace
Comment 2 flashl 2013-11-04 06:56:00 EST
Created attachment 819107 [details]
File: cgroup
Comment 3 flashl 2013-11-04 06:56:03 EST
Created attachment 819108 [details]
File: core_backtrace
Comment 4 flashl 2013-11-04 06:56:06 EST
Created attachment 819109 [details]
File: dso_list
Comment 5 flashl 2013-11-04 06:56:08 EST
Created attachment 819110 [details]
File: environ
Comment 6 flashl 2013-11-04 06:56:11 EST
Created attachment 819111 [details]
File: limits
Comment 7 flashl 2013-11-04 06:56:14 EST
Created attachment 819112 [details]
File: maps
Comment 8 flashl 2013-11-04 06:56:17 EST
Created attachment 819113 [details]
File: open_fds
Comment 9 flashl 2013-11-04 06:56:20 EST
Created attachment 819114 [details]
File: proc_pid_status
Comment 10 flashl 2013-11-04 06:56:23 EST
Created attachment 819115 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-11-05 12:58:16 EST
Thanks for a bug report. I move this to webkitgtk3, because it's the place where the crash happened. From the backtrace, the 'settings' variable is NULL for some reason, thus its dereferencing causes the crash.
Comment 12 Ian Dall 2014-12-09 05:43:41 EST
I see exactly the same (SIGSEGV from the same place in the same file).

This only started for me after I installed the flash plugin /usr/lib64/mozilla/plugins/libflashplayer.so (which is a symlink to /usr/lib64/flash-plugin/libflashplayer.so. It looks like webkit automagically searches for browser plugins to load (confirmed with strace).

Here is the really weird bit. Copying /usr/lib64/mozilla/plugins/libflashplayer.so to ~/.mozilla/plugins stops the crashes. Yes, webkit finds  ~/.mozilla/plugins/libflashplayer.so (lsof confirms this) but for some reason the bug depends on where the plugin is found!
Comment 13 Fedora End Of Life 2015-05-29 05:41:11 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:48:34 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.